> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project Classifications



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/project-classifications/{optionId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/project-classifications/{optionId}:
    patch:
      tags:
        - Project Classifications
      summary: Update Project Classifications
      operationId: ProjectClassificationsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: optionId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectClassificationOptionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectClassificationOptionResponseDto'
components:
  schemas:
    UpdateProjectClassificationOptionDto:
      type: object
      properties:
        label:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 100
            - type: 'null'
        isActive:
          type: boolean
      additionalProperties: false
    ProjectClassificationOptionResponseDto:
      type: object
      properties:
        id:
          type: string
        kind:
          enum:
            - lifecycleStatus
            - sector
            - workType
          type: string
        key:
          type: string
        label:
          type: string
          nullable: true
        isBuiltIn:
          type: boolean
        position:
          type: number
        isActive:
          type: boolean
      required:
        - id
        - kind
        - key
        - label
        - isBuiltIn
        - position
        - isActive

````